List all Coupons
curl --request GET \
--url https://public-api.stora.co/2025-09/coupons \
--header 'Authorization: Bearer <token>'import requests
url = "https://public-api.stora.co/2025-09/coupons"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://public-api.stora.co/2025-09/coupons', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://public-api.stora.co/2025-09/coupons",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://public-api.stora.co/2025-09/coupons"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://public-api.stora.co/2025-09/coupons")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://public-api.stora.co/2025-09/coupons")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"coupons": [
{
"id": "cpn_a26d0d4c582740c1",
"auto_apply_to": {
"products": false,
"protections": false,
"subscriptions": true,
"unit_types": false
},
"billing_period": "monthly",
"code": null,
"created_at": "2025-02-22T14:41:00Z",
"duration": "repeating",
"max_redemptions": null,
"months": 2,
"name": "50% off first two months",
"percent": 50,
"public": true,
"title": null,
"type": "percentage",
"updated_at": "2025-02-22T14:41:00Z"
},
{
"id": "cpn_bdc9397d53d9bfc3",
"amount": {
"amount": 500,
"currency": "GBP",
"formatted": "£5.00"
},
"auto_apply_to": {
"products": false,
"protections": false,
"subscriptions": true,
"unit_types": false
},
"billing_period": null,
"code": "5OFF",
"created_at": "2025-02-22T14:41:00Z",
"duration": "forever",
"max_redemptions": null,
"months": null,
"name": "£5.00 off",
"public": false,
"title": null,
"type": "amount",
"updated_at": "2025-02-22T14:41:00Z"
}
],
"meta": {
"request_id": "01563646-58c1-4607-8fe0-cae3e92c4477",
"curies": [
{
"name": "bo",
"href": "https://app.stora.test{rel}",
"templated": true,
"title": "Backoffice"
},
{
"name": "sf",
"href": "https://acme.stora.test{rel}",
"templated": true,
"title": "Storefront"
}
],
"pagination": {
"count": 2,
"last": 1,
"limit": 50,
"next": null,
"page": 1,
"pages": 1,
"prev": null
}
}
}Coupons
List all Coupons
Retrieve a list of all coupons.
Required authorization scope: public.coupon:read
GET
/
2025-09
/
coupons
List all Coupons
curl --request GET \
--url https://public-api.stora.co/2025-09/coupons \
--header 'Authorization: Bearer <token>'import requests
url = "https://public-api.stora.co/2025-09/coupons"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://public-api.stora.co/2025-09/coupons', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://public-api.stora.co/2025-09/coupons",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://public-api.stora.co/2025-09/coupons"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://public-api.stora.co/2025-09/coupons")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://public-api.stora.co/2025-09/coupons")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"coupons": [
{
"id": "cpn_a26d0d4c582740c1",
"auto_apply_to": {
"products": false,
"protections": false,
"subscriptions": true,
"unit_types": false
},
"billing_period": "monthly",
"code": null,
"created_at": "2025-02-22T14:41:00Z",
"duration": "repeating",
"max_redemptions": null,
"months": 2,
"name": "50% off first two months",
"percent": 50,
"public": true,
"title": null,
"type": "percentage",
"updated_at": "2025-02-22T14:41:00Z"
},
{
"id": "cpn_bdc9397d53d9bfc3",
"amount": {
"amount": 500,
"currency": "GBP",
"formatted": "£5.00"
},
"auto_apply_to": {
"products": false,
"protections": false,
"subscriptions": true,
"unit_types": false
},
"billing_period": null,
"code": "5OFF",
"created_at": "2025-02-22T14:41:00Z",
"duration": "forever",
"max_redemptions": null,
"months": null,
"name": "£5.00 off",
"public": false,
"title": null,
"type": "amount",
"updated_at": "2025-02-22T14:41:00Z"
}
],
"meta": {
"request_id": "01563646-58c1-4607-8fe0-cae3e92c4477",
"curies": [
{
"name": "bo",
"href": "https://app.stora.test{rel}",
"templated": true,
"title": "Backoffice"
},
{
"name": "sf",
"href": "https://acme.stora.test{rel}",
"templated": true,
"title": "Storefront"
}
],
"pagination": {
"count": 2,
"last": 1,
"limit": 50,
"next": null,
"page": 1,
"pages": 1,
"prev": null
}
}
}Authorizations
BearerOAuth2
Bearer Token necessary to use API
Query Parameters
Pagination: Page number
Required range:
x >= 1Pagination: Limit number of items per page.
Required range:
1 <= x <= 100Sorting by attribute. Default created_at
Available options:
created_at, updated_at Sorting by ASC or DESC direction. Default DESC
Available options:
ASC, DESC Filters results to created after (including given date) the given ISO 8601 timestamp (e.g., 2025-01-12T15:30:00Z).
Filters results to created before (excluding given date) the given ISO 8601 timestamp (e.g., 2025-01-12T15:30:00Z).
Filters results to updated after (including given date) the given ISO 8601 timestamp (e.g., 2025-01-12T15:30:00Z).
Filters results to updated before (excluding given date) the given ISO 8601 timestamp (e.g., 2025-01-12T15:30:00Z).
Was this page helpful?